Subject: [Anima] I-D Action: draft-ietf-anima-bootstrapping-keyinfra-03.txt

From: [email-masked]
Date: Thu, 30 Jun 2016 16:02:29 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Autonomic Networking Integrated Model and Approach of the IETF.

        Title           : Bootstrapping Remote Secure Key Infrastructures (BRSKI)
        Authors         : Max Pritikin
                          Michael C. Richardson
                          Michael H. Behringer
                          Steinthor Bjarnason
	Filename        : draft-ietf-anima-bootstrapping-keyinfra-03.txt
	Pages           : 46
	Date            : 2016-06-30

Abstract:
   This document specifies automated bootstrapping of a remote secure
   key infrastructure (BRSKI) using vendor installed IEEE 802.1AR
   manufacturing installed certificates, in combination with a vendor
   based service on the Internet.  Before being authenticated, a new
   device has only link-local connectivity, and does not require a
   routable address.  When a vendor provides an Internet based service
   devices can be redirected to a local service.  In limited/
   disconnected networks or legacy environments we describe a variety of
   options that allow bootstrapping to proceed.  Support for lower
   security models, including devices with minimal identity, is
   described for legacy reasons but not encouraged.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-anima-bootstrapping-keyinfra/

There's also a htmlized version available at:
https://tools.ietf.org/html/draft-ietf-anima-bootstrapping-keyinfra-03

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-anima-bootstrapping-keyinfra-03

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 1 Jul 2016 18:43:30 +1200

Hi,

>    b.  MUST: Performs DNS-based Service Discovery [RFC6763] over
>        Multicast DNS [RFC6762] searching for the service
>        "_bootstrapks._tcp.local.".

I missed the bit where we got consensus to only specify DNSSD for
discovery. My understanding was that since all ANs will contain
the ANI components, GRASP discovery was an equally valid option.

DNSSD is a fine option for non-ANs that don't contain the ANI
components.

Regards
   Brian